Loading...
Searching...
No Matches
lomiri.indicators.Slider Class Reference

## Public Member Functions

| validate_dbus_object (cls, path, state)
| slide_left (self, timeout=10)
| slide_right (self, timeout=10)

## Public Attributes

| minimumValue
| maximumValue

## Detailed Description

    Autopilot helper for the Slider component.

Definition at line 168 of file __init__.py.

## Member Function Documentation

## slide_left()

lomiri.indicators.Slider.slide_left | ( |  | self,
|  |  | timeout = 10 )

Definition at line 183 of file __init__.py.

def slide_left(self, timeout=10):
x, y, width, height = self.globalRect
rate = 5
start_x = x + width/2
start_y = stop_y = y + height/2
stop_x = x
self.pointing_device.drag(start_x, start_y, stop_x, stop_y, rate)
self.value.wait_for(self.minimumValue, timeout)

## slide_right()

lomiri.indicators.Slider.slide_right | ( |  | self,
|  |  | timeout = 10 )

Definition at line 194 of file __init__.py.

def slide_right(self, timeout=10):
x, y, width, height = self.globalRect
rate = 5
start_x = x + width/2
start_y = stop_y = y + height/2
stop_x = x + width
self.pointing_device.drag(start_x, start_y, stop_x, stop_y, rate)
self.value.wait_for(self.maximumValue, timeout)

## validate_dbus_object()

lomiri.indicators.Slider.validate_dbus_object | ( |  | cls,
|  |  | path,
|  |  | state )

Definition at line 177 of file __init__.py.

def validate_dbus_object(cls, path, state):
name = introspection.get_classname_from_path(path)
if name == b'Slider':
return True
return False

## Member Data Documentation

## maximumValue

lomiri.indicators.Slider.maximumValue

Definition at line 203 of file __init__.py.

## minimumValue

lomiri.indicators.Slider.minimumValue

Definition at line 192 of file __init__.py.

The documentation for this class was generated from the following file:

- tests/autopilot/lomiri/indicators/__init__.py